# Generated from redis_dedupe-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redis_dedupe

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: A weak deduper to make things like bulk email run safer
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(mock_redis)
BuildArch: noarch

%description
This is a weak deduper to make things like bulk email run safer. It is not a
lock safe for financial/security needs because it uses a weak redis locking
pattern that can have race conditions. However, imagine a bulk email job that
loops over 100 users, and enqueues a background email for each user. If the
job fails at iteration 50, a retry would enqueue all the users again and many
will receive dupes. This would continue multiple times as the parent job
continued to rerun. By marking that a subjob has been enqueued, we can let
that isolated job handle its own failures, and the batch enqueue job can run
multiple times without re-enqueueing the same subjobs. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/redis_dedupe.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.3-1
- Initial package
